petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscSpaceSetType

Builds a particular PetscSpace

### Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscSpaceSetType(PetscSpace sp, PetscSpaceType name)

Collective on PetscSpace

### Input Parameters

| sp | - The PetscSpace object
| name | - The kind of space

### Options Database Key

-petscspace_type <type> -Sets the PetscSpace type; use -help for a list of available types

### Keywords

PetscSpace, set, type

### See Also

PetscSpaceGetType(), PetscSpaceCreate()

### Level

intermediate

### Location

src/dm/dt/space/interface/space.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages